
# -*- coding: utf-8 -*

import os
BASE_DIR=os.path.dirname(__file__)+'/logs/'


class Config (object):
    """配置信息"""

    HOSTNAME = '121.43.228.230'
    PORT = '3306'
    DATABASE = 'test1'
    USERNAME = 'root'
    PASSWORD = '123456'

    DB_URI = "mysql+pymysql://{username}:{password}@{host}:{port}/{db}?charset=utf8".format (username=USERNAME,
                                                                                             password=PASSWORD,
                                                                                             host=HOSTNAME, port=PORT,
                                                                                             db=DATABASE)
    SQLALCHEMY_DATABASE_URI = DB_URI
    SQLALCHEMY_TRACK_MODIFICATIONS = True
    SQLALCHEMY_ECHO=True



class DevelopmentConfig (Config):
    """开发模式的配置信息"""
    DEBUG = True
    HOST="0.0.0.0"



class ProductionConfig (Config):
    """生产环境配置信息"""

    pass


config_map = {
    "develop": DevelopmentConfig,
    "product": ProductionConfig
}
