from flask_sqlalchemy import SQLAlchemy
from config import config_map,BASE_DIR
from hotel_mock.untils.logger_methond import Logger
import time
from flask import Flask
import os
logger=None

db = SQLAlchemy()

def create_app(config_name):
    global logger
    if not os.path.exists(BASE_DIR):
        os.mkdir(BASE_DIR)
    path = BASE_DIR
    logger = Logger(filename=path+'/{0}.log'.format(time.strftime('%Y-%m-%d', time.localtime(time.time()))),
                    level='info').logger
    app = Flask (__name__)
    config_class = config_map.get(config_name)
    app.config.from_object(config_class)
    db.init_app(app)


    from hotel_mock.restful_api import pisa
    app.register_blueprint(pisa)


    return app