from datetime import datetime
from hotel_mock import db

class BaseModel:
    """模型基类，为每个模型补充创建时间与更新时间"""

    create_time = db.Column(db.DateTime, default=datetime.now)  # 记录的创建时间
    update_time = db.Column(db.DateTime, default=datetime.now, onupdate=datetime.now)  # 记录的更新时间

class User(db.Model, BaseModel):
    __tablename__ = "user"
    user_no = db.Column(db.String(20), primary_key=True)
    mobile_hash = db.Column(db.String(50), unique=True)
    account_type = db.Column(db.Integer)
    nick_name = db.Column(db.String(50))
    icon = db.Column(db.String(100))
    gender = db.Column(db.Integer)
    birthday = db.Column(db.Date)